#@TYPE: Machine
#@NAME: xuantie
#@SOC: XuanTie Light
#@DESCRIPTION: Machine configuration for the HiFive Unleashed development board

require conf/machine/include/thead-base.inc

SERIAL_CONSOLES = "115200;ttySIF0"
MACHINE_EXTRA_RRECOMMENDS += "kernel-modules"

IMAGE_FSTYPES += "ext4"
KERNEL_DEVICETREE ?= "thead/light-c910.dtb"

UBOOT_ENTRYPOINT = "0x80200000"
UBOOT_DTB_LOADADDRESS = "0x82200000"
